#!/bin/sh

export $(grep -v '^#' .env | xargs -d '\n')

apt install -y openssl gettext

mkdir -p docker-data/dms/config/ssl/demoCA
cd docker-data/dms/config/ssl/demoCA
openssl genrsa 2048 > ca-key.pem
openssl req -new -x509 -nodes -days 365000    -key ca-key.pem    -out cacert.pem -subj '/CN='`echo $YOUGILE_MAILSYNC_IMAP_HOST`'/C=AT/ST=Vienna/L=Vienna/O=MyOrg'
cd -
cd docker-data/dms/config/ssl
openssl req -newkey rsa:2048 -nodes -days 365000    -keyout ${YOUGILE_MAILSYNC_IMAP_HOST}-key.pem  -out ${YOUGILE_MAILSYNC_IMAP_HOST}-req.pem -subj '/CN='`echo $YOUGILE_MAILSYNC_IMAP_HOST`'/C=AT/ST=Vienna/L=Vienna/O=MyOrg'
openssl x509 -req -days 365000 -set_serial 01    -in ${YOUGILE_MAILSYNC_IMAP_HOST}-req.pem    -out ${YOUGILE_MAILSYNC_IMAP_HOST}-cert.pem   -CA demoCA/cacert.pem    -CAkey demoCA/ca-key.pem
cd -

cat docker-compose.yml.template | envsubst > docker-compose.yml
docker compose up -d
docker exec -it mailserver setup email add $YOUGILE_MAILSYNC_IMAP_USER $YOUGILE_MAILSYNC_IMAP_PASSWORD
docker exec -it mailserver setup alias add @$YOUGILE_MAILSYNC_DOMAIN $YOUGILE_MAILSYNC_IMAP_USER
sleep 20
docker exec -it mailserver postconf -e 'message_size_limit = 52428800'
docker exec -it mailserver sed -i 's/quota_max_mail_size = 10M/quota_max_mail_size = 50M/' /etc/dovecot/conf.d/90-quota.conf
docker exec -it mailserver postfix reload
docker exec -it mailserver dovecot reload
